net.minecraft.block

## Class BlockEndPortal

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockContainer
    - - net.minecraft.block.BlockEndPortal

- All Implemented Interfaces:
    ITileEntityProvider

      public class BlockEndPortal
      extends BlockContainer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `field_149948_a`

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockEndPortal(Material p_i45404_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCollisionBoxesToList(World p_149743_1_, int p_149743_2_, int p_149743_3_, int p_149743_4_, AxisAlignedBB p_149743_5_, java.util.List p_149743_6_, Entity p_149743_7_)`
    `TileEntity` | `createNewTileEntity(World p_149915_1_, int p_149915_2_)`
    `Item` | `getItem(World p_149694_1_, int p_149694_2_, int p_149694_3_, int p_149694_4_)`
    `MapColor` | `getMapColor(int p_149728_1_)`
    `int` | `getRenderType()`
    `boolean` | `isOpaqueCube()`
    `void` | `onBlockAdded(World p_149726_1_, int p_149726_2_, int p_149726_3_, int p_149726_4_)`
    `void` | `onEntityCollidedWithBlock(World p_149670_1_, int p_149670_2_, int p_149670_3_, int p_149670_4_, Entity p_149670_5_)`
    `int` | `quantityDropped(java.util.Random p_149745_1_)`
    `void` | `randomDisplayTick(World p_149734_1_, int p_149734_2_, int p_149734_3_, int p_149734_4_, java.util.Random p_149734_5_)`
    `void` | `registerBlockIcons(IIconRegister p_149651_1_)`
    `boolean` | `renderAsNormalBlock()`
    `void` | `setBlockBoundsBasedOnState(IBlockAccess p_149719_1_, int p_149719_2_, int p_149719_3_, int p_149719_4_)`
    `boolean` | `shouldSideBeRendered(IBlockAccess p_149646_1_, int p_149646_2_, int p_149646_3_, int p_149646_4_, int p_149646_5_)`

    - ### Methods inherited from class net.minecraft.block.BlockContainer

      `breakBlock, onBlockEventReceived`

    - ### Methods inherited from class net.minecraft.block.Block

      `addDestroyEffects, addHitEffects, beginLeavesDecay, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getCollisionBoundingBoxFromPool, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIcon, getIdFromBlock, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPlacedBy, onBlockPreDestroy, onEntityWalking, onFallenUpon, onNeighborBlockChange, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDroppedWithBonus, recolourBlock, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, tickRate, updateTick, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_149948_a

          public static boolean field_149948_a

  - ### Constructor Detail

    - #### BlockEndPortal

          protected BlockEndPortal(Material p_i45404_1_)

  - ### Method Detail

    - #### createNewTileEntity

          public TileEntity createNewTileEntity(World p_149915_1_,
                                       int p_149915_2_)

    - #### setBlockBoundsBasedOnState

          public void setBlockBoundsBasedOnState(IBlockAccess p_149719_1_,
                                        int p_149719_2_,
                                        int p_149719_3_,
                                        int p_149719_4_)

      Overrides:
        `setBlockBoundsBasedOnState` in class `Block`

    - #### shouldSideBeRendered

          public boolean shouldSideBeRendered(IBlockAccess p_149646_1_,
                                     int p_149646_2_,
                                     int p_149646_3_,
                                     int p_149646_4_,
                                     int p_149646_5_)

      Overrides:
        `shouldSideBeRendered` in class `Block`

    - #### addCollisionBoxesToList

          public void addCollisionBoxesToList(World p_149743_1_,
                                     int p_149743_2_,
                                     int p_149743_3_,
                                     int p_149743_4_,
                                     AxisAlignedBB p_149743_5_,
                                     java.util.List p_149743_6_,
                                     Entity p_149743_7_)

      Overrides:
        `addCollisionBoxesToList` in class `Block`

    - #### isOpaqueCube

          public boolean isOpaqueCube()

      Overrides:
        `isOpaqueCube` in class `Block`

    - #### renderAsNormalBlock

          public boolean renderAsNormalBlock()

      Overrides:
        `renderAsNormalBlock` in class `Block`

    - #### quantityDropped

          public int quantityDropped(java.util.Random p_149745_1_)

      Overrides:
        `quantityDropped` in class `Block`

    - #### onEntityCollidedWithBlock

          public void onEntityCollidedWithBlock(World p_149670_1_,
                                       int p_149670_2_,
                                       int p_149670_3_,
                                       int p_149670_4_,
                                       Entity p_149670_5_)

      Overrides:
        `onEntityCollidedWithBlock` in class `Block`

    - #### randomDisplayTick

          public void randomDisplayTick(World p_149734_1_,
                               int p_149734_2_,
                               int p_149734_3_,
                               int p_149734_4_,
                               java.util.Random p_149734_5_)

      Overrides:
        `randomDisplayTick` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `Block`

    - #### onBlockAdded

          public void onBlockAdded(World p_149726_1_,
                          int p_149726_2_,
                          int p_149726_3_,
                          int p_149726_4_)

      Overrides:
        `onBlockAdded` in class `BlockContainer`

    - #### getItem

          public Item getItem(World p_149694_1_,
                     int p_149694_2_,
                     int p_149694_3_,
                     int p_149694_4_)

      Overrides:
        `getItem` in class `Block`

    - #### registerBlockIcons

          public void registerBlockIcons(IIconRegister p_149651_1_)

      Overrides:
        `registerBlockIcons` in class `Block`

    - #### getMapColor

          public MapColor getMapColor(int p_149728_1_)

      Overrides:
        `getMapColor` in class `Block`